
drop trigger if exists insert_persistent_map;

delimiter $$

create trigger insert_persistent_map before insert on persistent_map
for each row begin

	declare varPstIndex int unsigned;

	-- Is pstIndex matching ifIndex available?

	if NEW.pstIndex=0 then -- pstIndex was not specified, generate a new one
		
		select ifNull(max(pstIndex)+1,1) from persistent_map where routerId=NEW.routerId into varPstIndex;
		
		set NEW.pstIndex= varPstIndex;
		set NEW.updatedOn = unix_timestamp();

	end if;

end;
$$

delimiter ;
